<?php
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z42 - Całkowite parzyste</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z42</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>
        Dane są dwie różne liczby całkowite.<br>
        Napisz program który:<br>
        sprawdza czy podane dwie liczby całkowite są parzyste i tylko w tym przypadku wypisuje większą z nich. W przypadku podania liczby nieparzystej wypisuje która to liczba lub liczby.<br>
        Wejście<br>
        Na wejściu dwie różne liczby całkowite.<br>
        Wyjście<br>
        Na wyjściu większa z nich jeśli obie są parzyste lub ta liczba lub liczby jeśli są nieparzyste.<br>
        Przykład 1<br>
        4 8<br>
        8<br>
        Przykład 2<br>
        3 4<br>
        3<br>
        Przykład 3<br>
        1 7<br>
        1<br>
        7<br>
    </p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <fieldset>
            <label for="a">Podaj liczbę A:</label>
            <input type="number" name="a" id="a" required>
            <label for="b">Podaj liczbę B:</label>
            <input type="number" name="b" id="b" required>
        </fieldset>
        <button type="submit">Wyślij</button>
    </form>
</div>
<?php
if($_SERVER['REQUEST_METHOD'] == 'POST') {
    $a = htmlspecialchars($_POST['a']);
    $b = htmlspecialchars($_POST['b']);

    echo "<div class='box'>";
    echo "A = {$a}<br>";
    echo "B = {$b}<br>";
    if($a % 2 == 0 && $b % 2 == 0) {
        if ($a > $b) {
            echo "Większa jest liczba a = {$a}<br>";
        } elseif ($a < $b) {
            echo "Większa jest liczba b = {$b}<br>";
        } else {
            echo "Liczby są równe";
        }
    } else {
        if ($a % 2 != 0 && $b % 2 != 0){
            echo "Liczby a = {$a} i b = {$b} są nieparzyste";
        } elseif ($a % 2 != 0) {
            echo "Liczba a = {$a} jest nieparzysta";
        } elseif ($b % 2 != 0) {
            echo "Liczba b = {$b} jest nieparzysta";
        }
    }
    echo "</div>";
}
?>
</body>
</html>
